Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jun 2015 13:03:36 +0300

> Date: Sat, 6 Jun 2015 10:38:17 +0100
> From: Reuben Thomas <[email-masked]>
> Cc: [email-masked]
> 
> ​I should add, if I M-x ispell-change-dictionary​
> ​RET american RET, then allow the underlining to refresh, "etc." is no longer
> marked as wrong (as we've seen, it's incorrectly in the "american" word list),
> but "i.e." and "e.g." are still so marked.​

That's not what I see here.  When en_US is used, neither of these is
flagged as a mis-spelling.  When I switch to en_GB, only "etc" and the
"i" in "i.e." are flagged, the rest (including all of "e.g.") are not.

I guess the reason is the different versions of Hunspell dictionaries
we have installed.

Once again, I don't think this is an Emacs problem.  Don't you see the
same when you invoke Hunspell as a stand-alone program?